Package org.snpeff.outputFormatter

# Class OutputFormatter

java.lang.Object
org.snpeff.outputFormatter.OutputFormatter

Direct Known Subclasses:
  `BedOutputFormatter`, `VcfOutputFormatter`

public abstract class OutputFormatter extends Object
Formats output How is this used: - newSection(); // Create a new 'section' on the output format (e.g. a new Marker) - add(); // Add all changes related to this section (i.e. all changes related to this marker) - endSection(); // Output all changes related to this section (output header if needed), clean up list of changes

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`OutputFormatter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(VariantEffect variantEffect)`
Add effects to list
`OutputFormatter`
`clone()`
`void`
`close()`
CLose output files, if any
`String`
`endSection(Marker marker)`
Finish up section
`void`
`print(String outStr)`
Print a "raw" string to a file
`void`
`printSection(Marker marker)`
End this section and print results
`void`
`setChrStr(String chrStr)`
`void`
`setCommandLineStr(String commandLineStr)`
`void`
`setConfig(Config config)`
`void`
`setOutOffset(int outOffset)`
`void`
`setOutputFile(String outputFile)`
`void`
`setShowHeader(boolean showHeader)`
`void`
`setSupressOutput(boolean supressOutput)`
`void`
`setUseGeneId(boolean useGeneId)`
`void`
`setUseHgvs(boolean useHgvs)`
`void`
`setUseOicr(boolean useOicr)`
`void`
`setUseSequenceOntology(boolean useSequenceOntology)`
`void`
`setVariantEffectResutFilter(VariantEffectFilter changeEffectResutFilter)`
`void`
`setVersion(String version)`
`void`
`startSection(Marker marker)`
Starts a new section
`String`
`toString()`
`protected abstract String`
`toStringHeader()`
Show header

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OutputFormatter

public OutputFormatter()

## Method Details

### add

public void add(VariantEffect variantEffect)
Add effects to list

### clone

public OutputFormatter clone()

Overrides:
  `clone` in class `Object`

### close

public void close()
CLose output files, if any

### endSection

public String endSection(Marker marker)
Finish up section

### print

public void print(String outStr)
Print a "raw" string to a file

### printSection

public void printSection(Marker marker)
End this section and print results

### setChrStr

public void setChrStr(String chrStr)

### setCommandLineStr

public void setCommandLineStr(String commandLineStr)

### setConfig

public void setConfig(Config config)

### setOutOffset

public void setOutOffset(int outOffset)

### setOutputFile

public void setOutputFile(String outputFile)

### setShowHeader

public void setShowHeader(boolean showHeader)

### setSupressOutput

public void setSupressOutput(boolean supressOutput)

### setUseGeneId

public void setUseGeneId(boolean useGeneId)

### setUseHgvs

public void setUseHgvs(boolean useHgvs)

### setUseOicr

public void setUseOicr(boolean useOicr)

### setUseSequenceOntology

public void setUseSequenceOntology(boolean useSequenceOntology)

### setVariantEffectResutFilter

public void setVariantEffectResutFilter(VariantEffectFilter changeEffectResutFilter)

### setVersion

public void setVersion(String version)

### startSection

public void startSection(Marker marker)
Starts a new section

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toStringHeader

protected abstract String toStringHeader()
Show header